From 9ceddf93256257a3210411d1453edeb9d44e9149 Mon Sep 17 00:00:00 2001
From: Sushant Kaushik <skaushik@codeaurora.org>
Date: Fri, 26 Sep 2014 11:25:38 +0530
Subject: [PATCH 2/2] wlan:Fix dwell time of passive channels for disconnected
 state.

Currently in limContinuePostChannelScan API, for DFS channels
dwell time is taken as WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME.
This parameter is always set as gPassiveMaxChannelTime.
As a part of fix, made sure that for DFS channel dwell time
is reset as per the configuration in ini file for connected
session case and reseting it when it gets disconnected.

Change-Id: I27f59960c420c64a9af0489b3085a6790e860f9e
CRs-Fixed: 730656
---
 CORE/SME/src/csr/csrApiScan.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/CORE/SME/src/csr/csrApiScan.c b/CORE/SME/src/csr/csrApiScan.c
index 8455200..79b064b 100644
--- a/CORE/SME/src/csr/csrApiScan.c
+++ b/CORE/SME/src/csr/csrApiScan.c
@@ -445,6 +445,9 @@ static void csrSetDefaultScanTiming( tpAniSirGlobal pMac, tSirScanType scanType,
     //This portion of the code executed if multi-session not supported
     //(WLAN_AP_STA_CONCURRENCY not defined) or no multi-session.
     //Use the "regular" (non-concurrency) default scan timing.
+    ccmCfgSetInt(pMac->hHdd,WNI_CFG_PASSIVE_MAXIMUM_CHANNEL_TIME,
+                     pMac->roam.configParam.nPassiveMaxChnTime,
+                     NULL,eANI_BOOLEAN_FALSE);
     if(pScanRequest->scanType == eSIR_ACTIVE_SCAN)
     {
         pScanRequest->maxChnTime = pMac->roam.configParam.nActiveMaxChnTime;
-- 
1.8.4

